Skip to main content
GET
List Tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Query Parameters

q
string | null

Search by name (case-insensitive partial match)

status_filter
enum<string> | null

Filter by task status Task definition status.

Available options:
enabled,
disabled,
archived
task_type
enum<string> | null

Filter by task type (copy/sync) Task operation types.

Available options:
copy,
sync
source_location_id
string<uuid> | null

Filter by source location

destination_location_id
string<uuid> | null

Filter by destination location

is_scheduled
boolean | null

Filter by scheduled/manual tasks

location_type
enum<string> | null

Filter by provider (matches source or destination) Cloud storage provider types.

Available options:
s3,
azure_blob,
gcs,
r2,
b2,
wasabi,
railway,
oracle_object_storage_s3,
s3_compatible,
tigris,
digitalocean_spaces,
hetzner,
rabata
page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
limit
integer
default:50

Items per page

Required range: 1 <= x <= 100
sort_by
enum<string> | null

Field to sort by: name, status, created_at, updated_at

Available options:
name,
status,
created_at,
updated_at
sort_order
enum<string> | null

Sort order: asc or desc (default: desc) Sort order for list endpoints.

Available options:
asc,
desc

Response

Successful Response

data
TaskListItemResponse · object[]
required
pagination
PaginationResponse · object
required

Pagination metadata in responses.